import type { Store } from 'redux';
import type { RootAction, RootState } from '../modules';
import type { LoggerAndTelemetry } from '@mongodb-js/compass-logging/provider';
import type { PreferencesAccess } from 'compass-preferences-model';
import type AppRegistry from 'hadron-app-registry';
import type { DataService } from 'mongodb-data-service';
export default class CompassShellStore {
    reduxStore: Store<RootState, RootAction>;
    constructor();
    globalAppRegistry: AppRegistry | null;
    preferences: PreferencesAccess | null;
    onActivated({ globalAppRegistry, logger: { log, track, debug }, dataService, preferences, }: {
        globalAppRegistry: AppRegistry;
        logger: LoggerAndTelemetry;
        dataService: DataService;
        preferences: PreferencesAccess;
    }): () => void;
    onEnableShellChanged: (value: boolean) => void;
}
//# sourceMappingURL=store.d.ts.map